Subject: Re: bug#9560: An exact recipe

From: Michael Welsh Duggan <[email-masked]>
Date: Wed, 19 Oct 2011 09:45:45 -0400

Alan Mackenzie <[email-masked]> writes:

> Hi, Michael.
>
> On Wed, Oct 12, 2011 at 10:33:22PM -0400, Michael Welsh Duggan wrote:
>> >>>From emacs -Q:
>
>> Do NOT resize the frame.  The recipe includes C-v, which depends on the
>> window (and hence frame) size.
>
>> Load the following file:
>
> [ .... ]
>
>
>> Type:
>
>>   M-x edit-kbd-macro RET y C-x e C-x h C-w C-x i
>
>> When prompted, insert the following keyboard macro file:
>
> [ .... ]
>
>
>> Type:
>
>>   C-c C-c
>
>> You should be back at rwsiteinfo-backup.c.  Execute the macro using:
>
>>   C-x e
>
>> Then type:
>
>>   TAB
>
> OK, I've got about this far.  I've been busy getting 5.32.2 into XEmacs.
> The first thing I'm going to do with this macro is replace the C-v's with
> an equivalent number of C-n's, because my frames on a tty are a fixed 65
> lines (not including mode line and minibuffer) high.  :-)
>
> Emacs's facilities for keyboard macros are not comfortable.

Okay, I've done some experimenting, and unfortunately, I have been
unable to recreate this problem using this recipe using emacs -Q -nw.
I've only encountered it using an X window.  In this environment, I was
able to recreate the problem consistently.  I was able to replace the
initial "3*C-v 7*C-n" in the macro with "100*C-n C-l" and this allowed
it to work with larger frame sizes.  Don't ask me why the C-l is
necessary, as I do not know.

>> At this point, you should see the indentation move to just under the `o'
>> in "flowtype:list".  This location is incorrect.  If you then do the
>> following:
>
>>   M-x set-variable RET c-echo-syntactic-information-p RET t RET TAB
>
>> you will see that c-mode believes the syntax at that point to be
>> topmost-intro-cont instead of the proper brace-list-entry.
>
>> When you have solved this bug, please let me know if the solution has a
>> reasonable chance of having solved the other problem that I have not
>> been able to recreate reliably, which is getting "topmost-intro indent
>> 0" instead of "statement indent 4" when in the middle of editing a
>> function.  If these have little chance of being connected, I'll do my
>> best to try to create that scenario again (no promises).
>
>> -- 
>> Michael Welsh Duggan
>> ([email-masked])

-- 
Michael Welsh Duggan
([email-masked])